<?php
defined('BASEPATH') OR exit('No direct script access allowed');

/*
| -------------------------------------------------------------------------
| URI ROUTING
| -------------------------------------------------------------------------
| This file lets you re-map URI requests to specific controller functions.
|
| Typically there is a one-to-one relationship between a URL string
| and its corresponding controller class/method. The segments in a
| URL normally follow this pattern:
|
|	example.com/class/method/id/
|
| In some instances, however, you may want to remap this relationship
| so that a different class/function is called than the one
| corresponding to the URL.
|
| Please see the user guide for complete details:
|
|	https://codeigniter.com/user_guide/general/routing.html
|
| -------------------------------------------------------------------------
| RESERVED ROUTES
| -------------------------------------------------------------------------
|
| There are three reserved routes:
|
|	$route['default_controller'] = 'welcome';
|
| This route indicates which controller class should be loaded if the
| URI contains no data. In the above example, the "welcome" class
| would be loaded.
|
|	$route['404_override'] = 'errors/page_missing';
|
| This route will tell the Router which controller/method to use if those
| provided in the URL cannot be matched to a valid route.
|
|	$route['translate_uri_dashes'] = FALSE;
|
| This is not exactly a route, but allows you to automatically route
| controller and method names that contain dashes. '-' isn't a valid
| class or method name character, so it requires translation.
| When you set this option to TRUE, it will replace ALL dashes in the
| controller and method URI segments.
|
| Examples:	my-controller/index	-> my_controller/index
|		my-controller/my-method	-> my_controller/my_method
*/
$route['default_controller'] = 'Home';
$route['about-us'] = 'Home/About';
$route['services'] = 'Home/Service';
$route['blogs'] = 'Home/Blogs';
$route['blogs/(:num)'] = 'Home/Blogs/$1';
$route['blogs/(:any)'] = 'Home/single/$1';
$route['contact-us'] = 'Home/Contact';
$route['terms-of-service'] = 'Home/Terms';
$route['404_override'] = 'blog/error404';
$route['translate_uri_dashes'] = FALSE;



/********** Admin Route *************/
$route['admin'] = 'admin/oauth';
$route['admin/oauth/forgot-password'] = 'admin/oauth/forgot_password';

$route['admin/settings'] = 'admin/dashboard/settings';
$route['admin/profile'] = 'admin/dashboard/profile';

$route['admin/subscribers'] = 'admin/posts/subscribers';
$route['admin/page-list'] = 'admin/posts/page_list';

/********** Frontend Route *************/
/*$route['blog'] = 'blog';
$route['(error404)'] = 'blog/error404';
$route['(contact)'] = 'blog/contact';
$route['(:num)'] = 'blog';
$route['(:any)'] = 'blog/single/$1';*/
