<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Blogs extends CI_Controller 
{
 	public function __construct()
    {
		parent::__construct();
		error_reporting(0);
		if($this->session->userdata('type')!='1')
		{
			redirect('admin/oauth');
		}
		$this->load->model('admin/Blogs_model');
	}

	public function index($page=1 )
	{
		$per_page=40;
		
		$total_count = $this->Blogs_model->get_all_blogs_Count();

		// $total_count=$total_rows['count'];
		$records = $this->Blogs_model->get_blogs($per_page, $page);
		if($total_count<=($per_page*($page-1)) && $total_count > 0){
		    $currentPage=($total_count%$per_page)==0?($total_count/$per_page):ceil($total_count/$per_page);
		    redirect(base_url().'admin/Blogs/index/'.$currentPage);
		}
		$links=paginationLink($this,'admin/Blogs/index/',$total_count,$per_page);
		$data['records'] = $records;
		$data['links'] = $links;
		$data['view'] = 'admin/blogs/list';
		$this->load->view('admin/layout',$data);
	}

	public function add_blog()
	{
		$data['view'] = 'admin/blogs/add';
		$this->load->view('admin/layout',$data);
	}

	public function create_blog()
	{
		$picture="";

		if (!empty($_FILES['image']['name'])) {
            $config['upload_path'] = './assets/uploads/blog_images/';
            $config['allowed_types'] = 'jpg|jpeg|png|gif';
            $config['max_size'] = 10000000;
            $config['file_name'] = $_FILES['image']['name'];

            //Load upload library and initialize configuration
            $this->load->library('upload', $config);
            $this->upload->initialize($config);

            if ($this->upload->do_upload('image')) 
            {
                $uploadData = $this->upload->data();
                $picture = $uploadData['file_name'];
            } 
            else 
            {
            	$data['view'] = 'admin/blogs/add';				
	            $data['error'] = $this->upload->display_errors();
	            $this->load->view('admin/layout',$data);
            }
        }

        $upload_array = array();
        if(isset($_POST['title']) && $_POST['title'] != '')
        {
        	$upload_array['title'] = $_POST['title'];
        	$upload_array['slug'] = url_title($this->input->post('title',true), 'dash', true); 
        }
        if(isset($_POST['description']) && $_POST['description'] != '')
        {
        	$upload_array['description'] = $_POST['description'];
        }
        if(isset($_POST['video_link']) && $_POST['video_link'] != '')
        {
        	$upload_array['video_link'] = $_POST['video_link'];
        }
        if(isset($_POST['meta_title']) && $_POST['meta_title'] != '')
        {
        	$upload_array['meta_title'] = $_POST['meta_title'];
        }
        if(isset($_POST['meta_key']) && $_POST['meta_key'] != '')
        {
        	$upload_array['meta_key'] = $_POST['meta_key'];
        }
        if(isset($_POST['meta_description']) && $_POST['meta_description'] != '')
        {
        	$upload_array['meta_description'] = $_POST['meta_description'];
        }
        if($picture != '')
        {
        	$upload_array['image'] = $picture;
        }
        $upload_array['created_at'] = date('Y-m-d');
        $upload_array['updated_at'] = date('Y-m-d');

        $add = $this->Blogs_model->save_blog($upload_array);
        if($add)
        {
        	$this->session->set_flashdata('success','Blog Created Successfully !');
        	redirect('admin/Blogs');
        }
	}

	public function delete_blog($id="")
	{
		if($id!='')
		{	
			$delete = $this->Blogs_model->delete_blog($id);
			if($delete)
			{
				$this->session->set_flashdata('success','Blog Deleted Successfully !');
				redirect('admin/Blogs');
			}
		}
	}

	public function edit_blog($id="")
	{
		if($id!='')
		{
			$record = $this->Blogs_model->get_blog($id);
			// print_r($record);
			$data['view'] = 'admin/blogs/edit';				
            $data['record'] = $record;
            $this->load->view('admin/layout',$data);
		}
	}
	public function update_blog($id="")
	{
		if($_POST['id']!='')
		{
			$picture="";

		if (!empty($_FILES['image']['name'])) {
            $config['upload_path'] = './assets/uploads/blog_images/';
            $config['allowed_types'] = 'jpg|jpeg|png|gif';
            $config['max_size'] = 10000000;
            $config['file_name'] = $_FILES['image']['name'];

            //Load upload library and initialize configuration
            $this->load->library('upload', $config);
            $this->upload->initialize($config);

            if ($this->upload->do_upload('image')) 
            {
                $uploadData = $this->upload->data();
                $picture = $uploadData['file_name'];
            } 
            else 
            {
            	$data['view'] = 'admin/blogs/add';				
	            $data['error'] = $this->upload->display_errors();
	            $this->load->view('admin/layout',$data);
            }
        }

        $upload_array = array();
        if(isset($_POST['title']) && $_POST['title'] != '')
        {
        	$upload_array['title'] = $_POST['title'];
        	$upload_array['slug'] = url_title($this->input->post('title',true), 'dash', true);        	
        }
        if(isset($_POST['description']) && $_POST['description'] != '')
        {
        	$upload_array['description'] = $_POST['description'];
        }
        if(isset($_POST['video_link']) && $_POST['video_link'] != '')
        {
        	$upload_array['video_link'] = $_POST['video_link'];
        }
        if(isset($_POST['meta_title']) && $_POST['meta_title'] != '')
        {
        	$upload_array['meta_title'] = $_POST['meta_title'];
        }
        if(isset($_POST['meta_key']) && $_POST['meta_key'] != '')
        {
        	$upload_array['meta_key'] = $_POST['meta_key'];
        }
        if(isset($_POST['meta_description']) && $_POST['meta_description'] != '')
        {
        	$upload_array['meta_description'] = $_POST['meta_description'];
        }
        if($picture != '')
        {
        	$upload_array['image'] = $picture;
        }
        if($_POST['status'] == '1')
        {
        	$upload_array['is_active'] = '1';
        }
        else
        {
        	$upload_array['is_active'] = '0';
        }
        $upload_array['updated_at'] = date('Y-m-d');

        $update = $this->Blogs_model->update_blog($upload_array,$_POST['id']);
        if($update)
        {
        	$this->session->set_flashdata('success','Blog Update Successfully !');
        	redirect('admin/Blogs');
        }
		}
	}
	// public function products()
	// {       
	//     $this->load->library('upload');
	//     $dataInfo = array();
	//     $files = $_FILES;
	//     $cpt = count($_FILES['userfile']['name']);
	//     for($i=0; $i<$cpt; $i++)
	//     {           
	//         $_FILES['userfile']['name']= $files['userfile']['name'][$i];
	//         $_FILES['userfile']['type']= $files['userfile']['type'][$i];
	//         $_FILES['userfile']['tmp_name']= $files['userfile']['tmp_name'][$i];
	//         $_FILES['userfile']['error']= $files['userfile']['error'][$i];
	//         $_FILES['userfile']['size']= $files['userfile']['size'][$i];    

	//         $this->upload->initialize($this->set_upload_options());
	//         $this->upload->do_upload('userfile');
	//         $dataInfo[] = $this->upload->data();
	//     }

	//     $data = array(
	//         'name' => $this->input->post('pd_name'),
	//         'prod_image' => $dataInfo[0]['file_name'],
	//         'prod_image1' => $dataInfo[1]['file_name'],
	//         'prod_image2' => $dataInfo[2]['file_name'],
	//         'created_time' => date('Y-m-d H:i:s')
	//      );
	//      $result_set = $this->tbl_products_model->insertUser($data);
	// }

	// private function set_upload_options()
	// {   
	//     //upload an image options
	//     $config = array();
	//     $config['upload_path'] = './resources/images/products/';
	//     $config['allowed_types'] = 'gif|jpg|png';
	//     $config['max_size']      = '0';
	//     $config['overwrite']     = FALSE;

	//     return $config;
	// }

	// public function profile()
	// {
	// 	$data['title']='Profile';		
	// 	if ($this->input->post('btn-save'))
	// 	{
	// 		$pass=$this->input->post('txtnewpass',true)?md5($this->input->post('txtnewpass',true)):$this->input->post('txtoldpass',true);
	// 		$insert_data=array(
	// 			'username'=>$this->input->post('txtuname',true),
	// 			'fname'=>$this->input->post('txtfname',true),
	// 			'lname'=>$this->input->post('txtlname',true),
	// 			'password'=>$pass
	// 			);
	// 		$this->Page_model->update_current_user($insert_data);
	// 	}
	// 	$data['user']=$this->Page_model->get_current_user();
	// 	$this->load->view('admin/profile',$data);
	// }
}

