<?php 
  $this->load->view('admin/templates/header');
  $this->load->view('admin/templates/navbar'); 
?>
<link rel="stylesheet" href="<?= base_url();?>assets/admin/assets/vendor/datatables-bootstrap/dataTables.bootstrap.css">
<link rel="stylesheet" href="<?= base_url();?>assets/admin/assets/vendor/bootstrap-sweetalert/sweet-alert.css">

  <!-- Page -->
  <div class="page animsition">
    <div class="page-header">
      <h1 class="page-title">Page Listing</h1>
      <ol class="breadcrumb">
        <li><a href="<?= base_url('admin/dashboard'); ?>">Dashboard</a></li>
        <li class="active">Page Listing</li>
      </ol>

      <div class="page-header-actions">
        <a class="btn btn-sm btn-default btn-outline btn-round" data-target="#addpage" data-toggle="modal" data-backdrop="static" data-keyboard="false" href="javascript:void(0)">
          <i class="icon wb-user" aria-hidden="true"></i>
          <span class="hidden-xs">Add Page</span>
        </a>
      </div>      
    </div>

    <div class="page-content container-fluid">
      <div class="row">
        <div class="col-lg-12">
          <!-- Panel Filtering -->
          <div class="panel">
            <div class="panel-body">
             <table class="table table-hover dataTable table-striped width-full">
                <thead>
                  <tr>
                    <th style="width: 5%;">#ID</th> 
                    <th style="width: 55%;">Title</th>
                    <th style="width: 30%;">Url</th>
                    <th style="width: 10%;">Action</th>
                  </tr>
                </thead>
                <tbody>
                  <?php if(!empty((array)$page_list)):?>
                    <?php $i=1; foreach($page_list as $row=>$list):?>
                  <tr>
                    <td><?= $i;?> </td>  
                    <td><?= ucfirst($list->title);?> </td>              
                    <td><?= $list->url;?> </td>
                    <td>
                      <button type="button" class="btn btn-xs btn-info" onclick="edit(<?= $list->id; ?>)"><i class="icon wb-edit" aria-hidden="true"></i></button>
                      <button type="button" class="btn btn-xs btn-danger" onclick="remove(<?= $list->id; ?>)"><i class="icon wb-trash" aria-hidden="true"></i></button>
                    </td>
                  </tr>
                  <?php $i++; endforeach; else: ?>
                    <tr>
                      <td align="center" colspan="5">No records found</td>
                    </tr>
                  <?php endif; ?>
                </tbody>
              </table>
            </div>
          </div>
          <!-- End Panel Filtering -->
        </div>
      </div>
    </div>
  </div>
  <!-- End Page -->


<!-- Modal -->
<div class="modal fade modal-fade-in-scale-up" id="addpage" aria-hidden="true" aria-labelledby="exampleModalTitle" role="dialog" tabindex="-1">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">×</span>
        </button>
        <h4 class="modal-title">Add Page</h4>
      </div>
      <?= form_open('',array('class'=>'form-horizontal')); ?>
      <div class="modal-body">
        <div class="form-group">
          <label class="col-sm-3 control-label">Title: </label>
          <div class="col-sm-9">
            <input type="text" class="form-control" id="txttitle" name="txttitle" placeholder="Title" autocomplete="off" required="required" />
            <div  id="titlemsg"></div>
          </div>
        </div>
        <div class="form-group">
          <label class="col-sm-3 control-label">Url: </label>
          <div class="col-sm-9">
            <input type="url" class="form-control" id="txturl" name="txturl" placeholder="http://www.gurumaavidyavati.com/~pageurl" autocomplete="off" required="required" />
          </div>
        </div>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-default margin-0" data-dismiss="modal">Close</button>
        <button type="submit" class="btn btn-primary btn-save">Save</button>
      </div>
      <?= form_close(); ?>
    </div>
  </div>
</div>
<!-- End Modal -->

<!-- Modal -->
<div class="modal fade modal-fade-in-scale-up" id="editpage" aria-hidden="true" aria-labelledby="exampleModalTitle" role="dialog" tabindex="-1">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">×</span>
        </button>
        <h4 class="modal-title">Edit Page</h4>
      </div>
      <?= form_open('',array('class'=>'form-horizontal')); ?>
      <input type="hidden" name="txtid" id="txtid">
      <div class="modal-body">
        <div class="form-group">
          <label class="col-sm-3 control-label">Title: </label>
          <div class="col-sm-9">
            <input type="text" class="form-control" id="edittitle" name="txttitle" placeholder="Title" autocomplete="off" required="required" />
            <div  id="titlemsg"></div>
          </div>
        </div>
        <div class="form-group">
          <label class="col-sm-3 control-label">Url: </label>
          <div class="col-sm-9">
            <input type="url" class="form-control" id="editurl" name="txturl" placeholder="http://www.gurumaavidyavati.com/~pageurl" autocomplete="off" required="required" />
          </div>
        </div>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-default margin-0" data-dismiss="modal">Close</button>
        <button type="button" class="btn btn-primary btn-update">Update</button>
      </div>
      <?= form_close(); ?>
    </div>
  </div>
</div>
<!-- End Modal -->


<?php $this->load->view('admin/templates/footer'); ?>

<script src="<?= base_url();?>assets/admin/assets/vendor/datatables/jquery.dataTables.min.js"></script>
<script src="<?= base_url();?>assets/admin/assets/vendor/datatables-bootstrap/dataTables.bootstrap.min.js"></script>
<script src="<?= base_url();?>assets/admin/assets/vendor/bootstrap-sweetalert/sweet-alert.js"></script>
<script src="<?= base_url();?>assets/admin/assets/js/components/bootstrap-sweetalert.js"></script>

<script type="text/javascript">
jQuery('.dataTable').DataTable();


function remove(id) 
{
  swal({
      title: "Are you sure?",
      text: "You will not be able to recover this change!",
      type: "warning",
      showCancelButton: true,
      confirmButtonColor: '#DD6B55',
      confirmButtonText: 'Yes, delete it!',
      closeOnConfirm: false,
      //closeOnCancel: false
    },
    function() {
      jQuery.ajax({
        url:'<?= base_url('admin/posts/destroy_list');?>',
        type:'post',
        data:{'id':id,'<?= $this->security->get_csrf_token_name(); ?>':'<?= $this->security->get_csrf_hash(); ?>'},
        success:function(data){
          swal("Deleted!","Your page has been deleted!","success");
          setTimeout(function(){
            location.reload();
          },2000);
        }
      });
    });
}
function edit(id)
{
  jQuery.ajax({
    url:'<?= base_url('admin/posts/get_list');?>',
    type:'post',
    data:{id:id,'<?= $this->security->get_csrf_token_name(); ?>':'<?= $this->security->get_csrf_hash(); ?>'},
    success:function(data){
      var sub = jQuery.parseJSON(data);
      jQuery('#edittitle').val(sub.title);
      jQuery('#txtid').val(sub.id);
      jQuery('#editurl').val(sub.url);
      jQuery('#editpage').modal({
        backdrop:'static'
      });
    }
  });  
}

jQuery('.btn-update').click(function(){
  var title=jQuery('#edittitle').val();
  var id=jQuery('#txtid').val();
  var url=jQuery('#editurl').val();
  jQuery('#editpage').modal('hide');
  jQuery.ajax({
    url:'<?= base_url('admin/posts/update_list');?>',
    type:'post',
    data:{id:id,title:title,url:url,'<?= $this->security->get_csrf_token_name(); ?>':'<?= $this->security->get_csrf_hash(); ?>'},
    success:function(data){
      if (data=='done')
      {
        jQuery('#editpage').modal('hide');
        swal("Updated!","Your page has been updated!","success");
        setTimeout(function(){
          location.reload();
        }, 2000);   
      }
      else
      {
        swal("Updation Failed","Page "+data,"error");
      }      
    }
  });
});
</script>